# NVList.h File Reference

`#include "ace/CORBA_macros.h"`
`#include "ace/Unbounded_Queue.h"`
`#include "ace/Thread_Mutex.h"`
`#include "ace/Atomic_Op.h"`
`#include "tao/CORBA_methods.h"`
`#include "tao/Any.h"`
`#include "tao/Environment.h"`

Include dependency graph for NVList.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA

## Classes

class | CORBA::NamedValue
| CORBA Name/value pair implementation. More...
class | CORBA::NVList
| CORBA::NVList implementation. More...

## Typedefs

typedef TAO_Pseudo_Var_T< NamedValue > | NamedValue_var
typedef TAO_Pseudo_Out_T< NamedValue, NamedValue_var > | NamedValue_out
typedef TAO_Pseudo_Var_T< NVList > | NVList_var
typedef TAO_Pseudo_Out_T< NVList, NVList_var > | NVList_out

## Enumerations

enum | { ARG_IN = 0x01, ARG_OUT = 0x02, ARG_INOUT = 0x04, IN_COPY_VALUE = 0x08, OUT_LIST_MEMORY = 0x10, DEPENDENT_LIST = 0x20, CTX_RESTRICT_SCOPE = 0x40, CTX_DELETE_DESCENDENTS = 0x80, INV_NO_RESPONSE = 0x100, INV_TERM_ON_ERR = 0x200, RESP_NO_WAIT = 0x400 }

## Detailed Description

Id
  NVList.h,v 1.38 2005/07/19 10:12:43 jwillemsen Exp

Author:
  Copyright 1994-1995 by Sun Microsystems Inc.

  Aniruddha Gokhale <gokhale@cs.wustl.edu>

## Typedef Documentation

typedef TAO_Pseudo_Out_T<NamedValue, NamedValue_var> CORBA::NamedValue_out

typedef TAO_Pseudo_Var_T<NamedValue> CORBA::NamedValue_var

typedef TAO_Pseudo_Out_T<NVList, NVList_var> CORBA::NVList_out

typedef TAO_Pseudo_Var_T<NVList> CORBA::NVList_var

## Enumeration Type Documentation

anonymous enum

Enumeration values:

  ARG_IN |
  ARG_OUT |
  ARG_INOUT |
  IN_COPY_VALUE |
  OUT_LIST_MEMORY |
  DEPENDENT_LIST |
  CTX_RESTRICT_SCOPE |
  CTX_DELETE_DESCENDENTS |
  INV_NO_RESPONSE |
  INV_TERM_ON_ERR |
  RESP_NO_WAIT |